Foreman - Bug #10687

Max CPU count for compute profile is 8
06/03/2015 07:31 AM - Jon Skarpeteig

Status: Duplicate

Priority: Normal

Assignee:

Category: Compute resources - VMware

Target version:

Difficulty: Fixed in Releases:

Triaged: Found in Releases: 1.8.0
Bugzilla link: Red Hat JIRA:

Pull request:

Description

There shouldn't be a fixed max CPU count, but rather derived from the actual endpoint (or just freetext). Currently the max for
VMware is set to CPU count = 8. This is incorrect, and should be allowed to set higher.

VMware actually recommends using 1 core per socket, regardless of amount of CPU. This is due to NUMA optimization done by the
hypervisor.

Related issues:

Related to Foreman - Refactor #16601: Cover spinner fields with tests New 09/19/2016
Is duplicate of Foreman - Bug #5901: Unable to select more than 8 cores in VM... Closed 05/23/2014
History

#1 - 06/10/2016 03:41 PM - Anonymous

- Is duplicate of Bug #5901: Unable to select more than 8 cores in VMware template added

#2 - 06/10/2016 03:41 PM - Anonymous

- Status changed from New to Duplicate

#3 - 09/19/2016 10:29 AM - Marek Hulan
- Related to Refactor #16601: Cover spinner fields with tests added

05/18/2024 1/1



http://www.tcpdf.org

